<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: otCommissioningDataset Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('da/da0/structotCommissioningDataset.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../d8/dff/structotCommissioningDataset-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">otCommissioningDataset Struct Reference<div class="ingroups"><a class="el" href="../../d0/d2d/group__api.html">API</a> &raquo; <a class="el" href="../../d1/d44/group__config.html">Configuration</a> &raquo; <a class="el" href="../../df/d4f/group__config-general.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure represents a Commissioning Dataset.  
 <a href="../../da/da0/structotCommissioningDataset.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">include/openthread-types.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for otCommissioningDataset:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/db9/structotCommissioningDataset__coll__graph.png" border="0" usemap="#otCommissioningDataset_coll__map" alt="Collaboration graph"/></div>
<map name="otCommissioningDataset_coll__map" id="otCommissioningDataset_coll__map">
<area shape="rect" id="node2" href="../../d2/d0a/structotSteeringData.html" title="This structure represents the steering data. " alt="" coords="35,5,145,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a87155a6574251da25aa8505b61bd3a01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87155a6574251da25aa8505b61bd3a01"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/da0/structotCommissioningDataset.html#a87155a6574251da25aa8505b61bd3a01">mLocator</a></td></tr>
<tr class="memdesc:a87155a6574251da25aa8505b61bd3a01"><td class="mdescLeft">&#160;</td><td class="mdescRight">Border Router RLOC16. <br /></td></tr>
<tr class="separator:a87155a6574251da25aa8505b61bd3a01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa70c5767280a423e6923c6489ea87b78"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa70c5767280a423e6923c6489ea87b78"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/da0/structotCommissioningDataset.html#aa70c5767280a423e6923c6489ea87b78">mSessionId</a></td></tr>
<tr class="memdesc:aa70c5767280a423e6923c6489ea87b78"><td class="mdescLeft">&#160;</td><td class="mdescRight">Commissioner Session Id. <br /></td></tr>
<tr class="separator:aa70c5767280a423e6923c6489ea87b78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a234af68bc845f991abcded58f0274cc1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a234af68bc845f991abcded58f0274cc1"></a>
<a class="el" href="../../d2/d0a/structotSteeringData.html">otSteeringData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/da0/structotCommissioningDataset.html#a234af68bc845f991abcded58f0274cc1">mSteeringData</a></td></tr>
<tr class="memdesc:a234af68bc845f991abcded58f0274cc1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Steering Data. <br /></td></tr>
<tr class="separator:a234af68bc845f991abcded58f0274cc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb2bce6a2616352f2a0886feee60414c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb2bce6a2616352f2a0886feee60414c"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/da0/structotCommissioningDataset.html#afb2bce6a2616352f2a0886feee60414c">mJoinerUdpPort</a></td></tr>
<tr class="memdesc:afb2bce6a2616352f2a0886feee60414c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Joiner UDP Port. <br /></td></tr>
<tr class="separator:afb2bce6a2616352f2a0886feee60414c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46a6ec2fcaf0c01ee27eaf70ebfd8519"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46a6ec2fcaf0c01ee27eaf70ebfd8519"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/da0/structotCommissioningDataset.html#a46a6ec2fcaf0c01ee27eaf70ebfd8519">mIsLocatorSet</a>: 1</td></tr>
<tr class="memdesc:a46a6ec2fcaf0c01ee27eaf70ebfd8519"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Border Router RLOC16 is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a46a6ec2fcaf0c01ee27eaf70ebfd8519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1396595a5c45f89e43c7fc13f17b0b3b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1396595a5c45f89e43c7fc13f17b0b3b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/da0/structotCommissioningDataset.html#a1396595a5c45f89e43c7fc13f17b0b3b">mIsSessionIdSet</a>: 1</td></tr>
<tr class="memdesc:a1396595a5c45f89e43c7fc13f17b0b3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Commissioner Session Id is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a1396595a5c45f89e43c7fc13f17b0b3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba27dd4f92ce21e929e9ea8ded561330"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba27dd4f92ce21e929e9ea8ded561330"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/da0/structotCommissioningDataset.html#aba27dd4f92ce21e929e9ea8ded561330">mIsSteeringDataSet</a>: 1</td></tr>
<tr class="memdesc:aba27dd4f92ce21e929e9ea8ded561330"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Steering Data is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:aba27dd4f92ce21e929e9ea8ded561330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e68ee43efa71cf6b4363d557de15f12"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e68ee43efa71cf6b4363d557de15f12"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/da0/structotCommissioningDataset.html#a3e68ee43efa71cf6b4363d557de15f12">mIsJoinerUdpPortSet</a>: 1</td></tr>
<tr class="memdesc:a3e68ee43efa71cf6b4363d557de15f12"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Joiner UDP Port is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a3e68ee43efa71cf6b4363d557de15f12"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure represents a Commissioning Dataset. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/da0/structotCommissioningDataset.html">otCommissioningDataset</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
